### Method

# FwupdPlugin Firmware get_alignment

since: 1.6.0

#### Declaration [src]

    FuFirmwareAlignment
    fu_firmware_get_alignment (
      FuFirmware* self
    )

#### Description [src]

Gets the alignment of the firmware.

This allows a firmware to pad to a power of 2 boundary, where `alignment` is the bit position to align to.

Available since: 1.6.0

#### Return value

Type: `FuFirmwareAlignment`

A `FuFirmwareAlignment`.